Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Interface Formatter

All Known Implementing Classes:
  BasicFormatterImpl, DDLFormatterImpl

    public interface Formatter

Formatter contract

Method Summary
`String` | `format(String source)` Format the source SQL string.

Method Detail

### format

    String format(String source)

  Format the source SQL string.

  Parameters:
    `source` - The original SQL string
  Returns:
    The formatted version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.